import wx

########################################################################
class MyForm(wx.Frame):
 
    #----------------------------------------------------------------------
    def __init__(self):
        wx.Frame.__init__(self, None, wx.ID_ANY,
                          "Find / Replace Dialog Tutorial")
        panel = wx.Panel(self, wx.ID_ANY)
        
        findBtn = wx.Button(panel, label="Open Find Dialog")
        findBtn.Bind(wx.EVT_BUTTON, self.onFind)
        findReplaceBtn = wx.Button(panel, label="Open Find/Replace Dialog")
        
        sizer = wx.BoxSizer(wx.VERTICAL)
        sizer.Add(findBtn, 0, wx.ALL|wx.CENTER, 5)
        sizer.Add(findReplaceBtn, 0, wx.ALL|wx.CENTER, 5)
        panel.SetSizer(sizer)
        
    #----------------------------------------------------------------------
    def onFind(self, event):
        """
        Open the Find Dialog
        
        http://www.wxpython.org/docs/api/wx.FindReplaceData-class.html
        """
        data = wx.FindReplaceData()
        dlg = wx.FindReplaceDialog(self, data, "Find")
        dlg.data = data
        dlg.Show()
        
    #----------------------------------------------------------------------
    def onFindReplace(self, event):
        """
        Open the Find / Replace Dialog
        """
        data = wx.FindReplaceData()
        dlg = wx.FindReplaceDialog(self, data, "Find & Replace",
                                   wx.FR_REPLACEDIALOG)
        dlg.data = data
        dlg.Show()
        
# Run the program
if __name__ == "__main__":
    app = wx.App(False)
    frame = MyForm()
    frame.Show()
    app.MainLoop()